#version 120

uniform sampler2D DiffuseSampler;

varying vec2 texCoord;
varying vec2 oneTexel;

uniform vec2 InSize;

uniform vec2 BlurDir;
uniform float Radius;

void main() {
    vec4 blurred = vec4(0.0);

    float r=max(BlurDir.x,BlurDir.y);

    blurred += texture2D(DiffuseSampler, texCoord + oneTexel * vec2( 0.0,-1.0) * r) * 0.5;
    blurred += texture2D(DiffuseSampler, texCoord + oneTexel * vec2( 0.0, 1.0) * r) * 0.5;
    blurred += texture2D(DiffuseSampler, texCoord + oneTexel * vec2(-1.0, 0.0) * r) * 0.5;
    blurred += texture2D(DiffuseSampler, texCoord + oneTexel * vec2( 1.0, 0.0) * r) * 0.5;

    blurred += texture2D(DiffuseSampler, texCoord) * 1.0;

    gl_FragColor = vec4(blurred.rgb / 3.0, 1.0)*Radius;

}
